.TH ALACRITTY-MSG "1" "October 2021" "alacritty 0.12.2" "User Commands"
.SH NAME
alacritty-msg \- Send messages to Alacritty
.SH "SYNOPSIS"
alacritty msg [OPTIONS] <MESSAGE> [MESSAGE_OPTIONS]
.SH DESCRIPTION
This command communicates with running Alacritty instances through a socket,
making it possible to control Alacritty without directly accessing it.
.SH "OPTIONS"
\fB\-s\fR, \fB\-\-socket\fR <socket>
Path for IPC socket creation
.SH "MESSAGES"
.TP
\fBcreate-window\fR
Create a new window in the same Alacritty process
.TP
.SH "\tOPTIONS"
.RS 12
.TP
\fB\-\-hold\fR
Remain open after child process exits
.TP
\fB\-\-working\-directory\fR <working\-directory>
Start the shell in the specified working directory
.TP
\fB\-e\fR, \fB\-\-command\fR <command>...
Command and args to execute (must be last argument)
.RE
.TP
\fBconfig\fR
Update the Alacritty configuration
.TP
.SH "\tARGS"
.RS 12
.TP
\fB<CONFIG_OPTIONS>...\fR
Configuration file options [example: cursor.style=Beam]
.RE
.TP
.SH "\tOPTIONS"
.RS 12
.TP
\fB\-w\fR, \fB\-\-window\-id\fR <WINDOW_ID>
Window ID for the new config.

Use `-1` to apply this change to all windows.

[default: \fB$ALACRITTY_WINDOW_ID\fR]
.RE
.SH "SEE ALSO"
See the alacritty github repository at https://github.com/alacritty/alacritty for the full documentation.
.SH "BUGS"
Found a bug? Please report it at https://github.com/alacritty/alacritty/issues.
.SH "MAINTAINERS"
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
Christian Duerr <contact@christianduerr.com>
